package jp.co.y_net.amm.service;

import jp.co.y_net.amm.dao.AppDef;
import jp.co.y_net.amm.dao.Usr;
import jp.co.y_net.amm.dao.UsrDao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Component;

@Component("logout")
public class Logout {
    
    @Autowired(required = true)
    @Qualifier("usrDao")
    private UsrDao usrDao;

    public boolean execute(String loginid) {

        Usr usr = usrDao.getByLoginid(loginid);
        if(usr == null) {
            return false;
        }
        
        /* データアクセス ログアウト */
        usr.setCres(null); // チャレンジレスポンス をクリア
        usr.setCresdate(-1L); // チャレンジレスポンス有効期限 を無効化
        
        usrDao.update(usr, AppDef.USERID_NONE); // 【更新処理】
        
        return true;
    }
}
